'use strict';

var replaceSelectors = function (selectors, styles, code) {
  // let index = 0
  var selectorIds = selectors.reduce(function (acc, selector) {
    if (selector.includes('[data-css-')) {
      acc.add(/\[data-css-(.*)\]/g.exec(selector)[1]);
    } else if (selector.includes('.css-')) {
      acc.add(/\.css-([^ >]*)/g.exec(selector)[1]);
    }
    return acc;
  }, new Set());
  return Array.from(selectorIds).reduce(function (string, id, index) {
    return string.split(id).join(index);
  }, `${styles}\n\n${code}`);
};

module.exports = { replaceSelectors };